## NMDeviceWimax NMDeviceWimax |

## Functions

const char * | nm_device_wimax_get_hw_address ()
NMWimaxNsp * | nm_device_wimax_get_active_nsp ()
NMWimaxNsp * | nm_device_wimax_get_nsp_by_path ()
const GPtrArray * | nm_device_wimax_get_nsps ()
guint | nm_device_wimax_get_center_frequency ()
gint | nm_device_wimax_get_rssi ()
gint | nm_device_wimax_get_cinr ()
gint | nm_device_wimax_get_tx_power ()
const char * | nm_device_wimax_get_bsid ()

## Properties

NMWimaxNsp * | active-nsp | Read
gchar * | bsid | Read
guint | center-frequency | Read
gint | cinr | Read
gchar * | hw-address | Read
GPtrArray * | nsps | Read
gint | rssi | Read
gint | tx-power | Read

## Signals

void | nsp-added | Run First
void | nsp-removed | Run First

## Types and Values

#define | NM_DEVICE_WIMAX_HW_ADDRESS
#define | NM_DEVICE_WIMAX_ACTIVE_NSP
#define | NM_DEVICE_WIMAX_CENTER_FREQUENCY
#define | NM_DEVICE_WIMAX_RSSI
#define | NM_DEVICE_WIMAX_CINR
#define | NM_DEVICE_WIMAX_TX_POWER
#define | NM_DEVICE_WIMAX_BSID
#define | NM_DEVICE_WIMAX_NSPS

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceWimax

## Description

## Functions

### nm_device_wimax_get_hw_address ()

    const char *
    nm_device_wimax_get_hw_address (NMDeviceWimax *wimax);

Gets the hardware (MAC) address of the NMDeviceWimax

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_wimax_get_active_nsp ()

    NMWimaxNsp *
    nm_device_wimax_get_active_nsp (NMDeviceWimax *wimax);

Gets the active NMWimaxNsp.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

the access point or `NULL` if none is active.

[transfer full]

### nm_device_wimax_get_nsp_by_path ()

    NMWimaxNsp *
    nm_device_wimax_get_nsp_by_path (NMDeviceWimax *wimax,
                                     const char *path);

Gets a NMWimaxNsp by path.

#### Parameters

wimax | a NMDeviceWimax |
path | the object path of the NSP |

#### Returns

the access point or `NULL` if none is found.

[transfer none]

### nm_device_wimax_get_nsps ()

    const GPtrArray *
    nm_device_wimax_get_nsps (NMDeviceWimax *wimax);

Gets all the scanned NSPs of the NMDeviceWimax.

#### Parameters

wimax | a NMDeviceWimax |

#### Returns

a GPtrArray containing all the scanned NMWimaxNsps. The returned array is owned by the client and should not be modified.

[element-type NMWimaxNsp]

### nm_device_wimax_get_center_frequency ()

    guint
    nm_device_wimax_get_center_frequency (NMDeviceWimax *self);

Gets the center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the center frequency in KHz, or 0

### nm_device_wimax_get_rssi ()

    gint
    nm_device_wimax_get_rssi (NMDeviceWimax *self);

Gets the RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the RSSI in dBm, or 0

### nm_device_wimax_get_cinr ()

    gint
    nm_device_wimax_get_cinr (NMDeviceWimax *self);

Gets the CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the CINR in dB, or 0

### nm_device_wimax_get_tx_power ()

    gint
    nm_device_wimax_get_tx_power (NMDeviceWimax *self);

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the TX power in dBm, or 0

### nm_device_wimax_get_bsid ()

    const char *
    nm_device_wimax_get_bsid (NMDeviceWimax *self);

Gets the ID of the serving Base Station when the device is connected.

#### Parameters

self | a NMDeviceWimax |

#### Returns

the ID of the serving Base Station, or `NULL`

## Types and Values

### NM_DEVICE_WIMAX_HW_ADDRESS

    #define NM_DEVICE_WIMAX_HW_ADDRESS       "hw-address"

### NM_DEVICE_WIMAX_ACTIVE_NSP

    #define NM_DEVICE_WIMAX_ACTIVE_NSP       "active-nsp"

### NM_DEVICE_WIMAX_CENTER_FREQUENCY

    #define NM_DEVICE_WIMAX_CENTER_FREQUENCY "center-frequency"

### NM_DEVICE_WIMAX_RSSI

    #define NM_DEVICE_WIMAX_RSSI             "rssi"

### NM_DEVICE_WIMAX_CINR

    #define NM_DEVICE_WIMAX_CINR             "cinr"

### NM_DEVICE_WIMAX_TX_POWER

    #define NM_DEVICE_WIMAX_TX_POWER         "tx-power"

### NM_DEVICE_WIMAX_BSID

    #define NM_DEVICE_WIMAX_BSID             "bsid"

### NM_DEVICE_WIMAX_NSPS

    #define NM_DEVICE_WIMAX_NSPS             "nsps"

## Property Details

### The `“active-nsp”` property

      “active-nsp”               NMWimaxNsp *

The active NMWimaxNsp of the device.

Flags: Read

### The `“bsid”` property

      “bsid”                     gchar *

The ID of the serving base station as received from the network. Has no meaning when the device is not connected.

Flags: Read

Default value: NULL

### The `“center-frequency”` property

      “center-frequency”         guint

The center frequency (in KHz) of the radio channel the device is using to communicate with the network when connected. Has no meaning when the device is not connected.

Flags: Read

Default value: 0

### The `“cinr”` property

      “cinr”                     gint

CINR (Carrier to Interference + Noise Ratio) of the current radio link in dB. CINR is a more accurate measure of radio link quality. Has no meaning when the device is not connected.

Flags: Read

Default value: 0

### The `“hw-address”` property

      “hw-address”               gchar *

The hardware (MAC) address of the device.

Flags: Read

Default value: NULL

### The `“nsps”` property

      “nsps”                     GPtrArray *

List of all WiMAX Network Service Providers the device can see.

Element-type: NMWimaxNsp

Flags: Read

### The `“rssi”` property

      “rssi”                     gint

RSSI of the current radio link in dBm. This value indicates how strong the raw received RF signal from the base station is, but does not indicate the overall quality of the radio link. Has no meaning when the device is not connected.

Flags: Read

Default value: 0

### The `“tx-power”` property

      “tx-power”                 gint

Average power of the last burst transmitted by the device, in units of 0.5 dBm. i.e. a TxPower of -11 represents an actual device TX power of -5.5 dBm. Has no meaning when the device is not connected.

Flags: Read

Default value: 0

## Signal Details

### The `“nsp-added”` signal

    void
    user_function (NMDeviceWimax *self,
                   GObject       *nsp,
                   gpointer       user_data)

Notifies that a NMWimaxNsp is added to the wimax device.

#### Parameters

self | the wimax device that received the signal |
nsp | the new NSP |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“nsp-removed”` signal

    void
    user_function (NMDeviceWimax *self,
                   GObject       *nsp,
                   gpointer       user_data)

Notifies that a NMWimaxNsp is removed from the wimax device.

#### Parameters

self | the wimax device that received the signal |
nsp | the removed NSP |
user_data | user data set when the signal handler was connected. |

Flags: Run First